Gda.DataComparator – Gda-6.0 Reference Manual

# DataComparator

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_data_comparator_get_type ()" ) ]
public class DataComparator : Object
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public DataModel new_model { owned get; set; }
- public DataModel old_model { owned get; set; }

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- public DataComparator (DataModel old_model, DataModel new_model)

### Methods:

- public bool compute_diff () throws Error
- public unowned Diff get_diff (int pos)
- public int get_n_diffs ()
- public void set_key_columns (int[] col_numbers)

### Signals:

- public virtual signal bool diff_computed (void* diff)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref